Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
Class InputStreamReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.InputStreamReaderSource

All Implemented Interfaces:
  HasCleanup, ReaderSource

    public class InputStreamReaderSource
    extends AbstractReaderSource

A ReaderSource for source strings.

Version:
  $Id: InputStreamReaderSource.java 6778 2007-07-02 10:40:33Z glaforge $
Author:
  Chris Poirier

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`configuration`

Constructor Summary
Constructor and Description
`InputStreamReaderSource(InputStream stream, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
Modifier and Type | Method and Description
--- | ---
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`cleanup, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStreamReaderSource

    public InputStreamReaderSource(InputStream stream,
                                   CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.

  Parameters:
    `stream` - stream containing source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Returns a new Reader on the underlying source object.

  Returns:
    the reader to the resource
  Throws:
    `IOException` - if there was an error opening for stream

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

  Specified by:
    `canReopenSource` in interface `ReaderSource`
  Overrides:
    `canReopenSource` in class `AbstractReaderSource`
  Returns:
    true if the resource can be reopened for reading

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD